<template>
  <div class="exchange-rate">
    <div>
      <span>$</span>
    </div>
    <!-- <div><span>BTC</span> 0</div>
    <div><span>ETH</span> 0</div> -->
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
// import { useGetConfigQuery } from '~/sdk/hooks'
// import { Config_Keys_Enum } from '~/sdk/types'

export default defineComponent<{
  amount: String | undefined
}>({
  name: 'ExchangeRate',
  props: ['amount'],
  setup() // props, { root: { $i18n } }
  {
    // const { result } = useGetConfigQuery({
    //   key: Config_Keys_Enum.TokenPriceInUsd
    // })

    // const calculated = computed(() => {
    //   const price = parseFloat(result.value?.config?.value || '0')
    //   const amount = !props.amount
    //     ? 0
    //     : parseFloat(props.amount.replace(/,/g, ''))
    //   return new Intl.NumberFormat($i18n.locale).format(amount * price)
    // })

    return {
      // calculated
    }
  }
})
</script>

<style lang="scss" scoped>
.exchange-rate {
  width: 100%;
  background: #272c3b;
  border-radius: 5px;
  padding: 15px 25px;
  display: grid;
  align-items: center;
  grid-auto-flow: column;
  grid-column-gap: 25px;
  min-height: 72px;
  color: #fff;
  font-size: 30px;
  line-height: 37px;
  text-transform: uppercase;
  span {
    color: #0065ff;
  }
  > div {
    white-space: nowrap;
    text-overflow: ellipsis;
  }
}
</style>
